--- roundcube_git/program/steps/mail/func.inc	2013-01-02 19:38:39.000000000 +0000
+++ roundcube_dev/program/steps/mail/func.inc	2013-01-13 11:07:50.000000000 +0000
@@ -1075,6 +1075,12 @@
 
   if (!empty($MESSAGE->parts)) {
     foreach ($MESSAGE->parts as $i => $part) {
+      $plugin = $RCMAIL->plugins->exec_hook('message_part_show',
+        array('uid' => $MESSAGE->uid, 'part_id' => $i, 'part' => $part));
+
+      if ($plugin['abort'])
+        continue;
+
       if ($part->type == 'headers') {
         $out .= html::div('message-partheaders', rcmail_message_headers(sizeof($header_attrib) ? $header_attrib : null, $part->headers));
       }
